# Tests for MCP Remote macOS Use

This directory contains unit tests for the MCP Remote macOS Use package.

## Running Tests

To run the tests, you'll need to install the package with development dependencies:

```bash
pip install -e ".[dev]"
```

Or using UV (recommended):

```bash
uv pip install -e ".[dev]"
```

Then run the tests using pytest:

```bash
pytest
```

## Test Structure

- `test_vnc_client.py`: Tests for the VNC client module
- `test_action_handlers.py`: Tests for the action handlers module
- `test_server.py`: Tests for the server module
- `test_init.py`: Tests for the package initialization

## Environment Variables

The tests use mock environment variables for testing. In a real environment, you'll need to set these variables:

- `MACOS_HOST`: Hostname or IP address of the macOS machine
- `MACOS_PORT`: Port for VNC connection (default: 5900)
- `MACOS_USERNAME`: Username for macOS authentication (optional)
- `MACOS_PASSWORD`: Password for macOS authentication (required)
- `VNC_ENCRYPTION`: Encryption preference (default: "prefer_on") 